package org.kne.cloud.network;

import java.io.IOException;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.Socket;
import java.net.SocketAddress;
import java.net.SocketException;
import java.net.UnknownHostException;

import javax.net.SocketFactory;

public abstract class DatagramSocketFactory {
	public DatagramSocket createSocket() throws IOException {
		return new DatagramSocket((SocketAddress)null);
	}

	public abstract DatagramSocket createSocket(String paramString, int paramInt) throws IOException, UnknownHostException;

	public abstract DatagramSocket createSocket(InetAddress paramInetAddress, int paramInt) throws IOException;

	public abstract DatagramSocket createSocket(String paramString, int paramInt1, InetAddress paramInetAddress, int paramInt2)
			throws IOException, UnknownHostException;

	public abstract DatagramSocket createSocket(InetAddress paramInetAddress1, int paramInt1, InetAddress paramInetAddress2,
			int paramInt2) throws IOException;
}
